WordPress.org

Ready to get started?Download WordPress

Forums

ContactMe
[resolved] Invalid query (6 posts)

  1. nddesign
    Member
    Posted 2 years ago #

    I loaded ContactMe as I saw that SurveyMe is eventually being replaced by ContactMe - also I couldn't get my survey to show up after upgrading WordPress to the latest version.

    When I loaded ContactMe, I couldn't find my old survey to import, so I re-created it again. It is located here: http://www.precisioneavestroughing.com/customer-satisfaction-report/

    Upon testing it, I get this error message:

    Invalid query: Incorrect column name 'Were the details of the installation of your eavestroughing ' Whole query: ALTER TABLE wp_contactme_$survey ADD COLUMN Were the details of the installation of your eavestroughing text

    Thank you for your help!

    - Heather

    http://wordpress.org/extend/plugins/wp-contactme/

  2. DCoda
    Member
    Plugin Author

    Posted 2 years ago #

    I'm not sure why upgrading to the latest version of WordPress would prevent your surveys from showing. This will be looked into, but the plugin was developed and tested on the latest version.

    You should have been prompted to import your surveys by just clicking on a link. This might not happen if you skipped a version of the plugin.

    The concise prompt is used for the field name in the table. It should have been filtered to an allowable length, it will be looked into why this is not happening. As a quick work around, use a shorter concise prompt and use the expanded prompt to add more detail.

    And update will be release when we have a solution.

    Regards
    D

  3. DCoda
    Member
    Plugin Author

    Posted 2 years ago #

    The invalid query has just tested and i'm having a little trouble getting it to error.

    What version of MySQL are you using?

    What is the full question to the field 'Were the details of the installation of your eavestroughing', there may be a character that is causing a problem that is not showing in the error message.

    Regards
    -D

  4. nddesign
    Member
    Posted 2 years ago #

    Thank you for your quick response. MySQL version is 5.0.

    The full question is "Were the details of the installation of your eavestroughing explained to you?"

    Thanks and I look forward to hearing from you,

    Heather

  5. DCoda
    Member
    Plugin Author

    Posted 2 years ago #

    A fix has been uploaded and should be available soon. The field is automatically truncated and strip of all special characters before it is used in the table.

    Regards
    D

  6. nddesign
    Member
    Posted 2 years ago #

    Thank you very much DCoda, it seems to be working fine now.

    Much appreciated!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic